跳转到主要内容
POST
/
audio
/
retrieve
/api/v1/audio/retrieve
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "queue_id": "123e4567-e89b-12d3-a456-426614174000",
  "delete_media_on_completion": false
}
'
{
  "status": "PROCESSING",
  "average_execution_time": 20000,
  "execution_duration": 5200
}
使用 /audio/queue 返回的 queue_id 来检查生成状态。当请求完成时,此端点会返回生成的音频数据。

Postman 集合

如需更多示例,请参阅此 Postman 集合

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
model
string
必填

The ID of the model used for audio generation.

示例:

"elevenlabs-music"

queue_id
string
必填

The ID of the audio generation request. Use this to poll for status and retrieve the result.

示例:

"123e4567-e89b-12d3-a456-426614174000"

delete_media_on_completion
boolean
默认值:false

If true, the audio media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the audio.

示例:

false

响应

Audio generation status or completed audio

status
enum<string>
必填

The status of the audio generation request.

可用选项:
PROCESSING
示例:

"PROCESSING"

average_execution_time
number
必填

The estimated execution time of the audio generation request in milliseconds (P80).

示例:

20000

execution_duration
number
必填

The current duration of the audio generation request in milliseconds.

示例:

5200